# support.hh File Reference

Stuff to adapt containers. More...

Include dependency graph for support.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SupportIterator< C >
| Iterator over the Support generic class. More...
class | Support< std::map< U, T > >
| Support<map<U, T> > is a const adapter of std::map to container. More...
class | Support< std::set< U > >
| Support<set<U, T> > is a const adapter of std::map to container. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.

## Detailed Description

Stuff to adapt containers.

Definition in file support.hh.